<?php

namespace app\admin\validate;

use think\Validate;

class UserValidate extends Validate
{
    protected $rule = [
        'account'  => 'require',
        'nickname' => 'require',
        'gender'   => 'require',
        'mobile'   => 'require|mobile',
        'status'   => 'require',
    ];

    protected $message = [
        'account'        => '用户名不能为空',
        'nickname'       => '昵称不能为空',
        'gender'         => '请选择性别',
        'mobile.require' => '手机号不能为空',
        'mobile.mobile'  => '手机号格式不正确',
        'status'         => '请选择状态',
    ];

}